#
# spec file for package rubygem-puppet-syntax
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


%define mod_name puppet-syntax
%define mod_full_name %{mod_name}-%{version}
Name:           rubygem-puppet-syntax
Version:        2.1.0
Release:        2.3
Summary:        Syntax checks for Puppet manifests, templates, and Hiera YAML
License:        MIT
Group:          Development/Languages/Ruby
Url:            https://github.com/gds-operations/puppet-syntax
Source:         http://rubygems.org/gems/%{mod_full_name}.gem
BuildRequires:  %{rubygem gem2rpm}
BuildRequires:  %{ruby}
BuildRequires:  ruby-macros >= 5
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
Syntax checks for Puppet manifests and templates.

%prep

%build

%install
%gem_install \
  --doc-files="CHANGELOG LICENSE.txt README.md" \
  -f

%gem_packages

%changelog
* Fri Jan 22 2016 kstreitova@suse.com
- Version bump 2.1.0
  * Support Puppet 4. Many thanks to @DavidS
  * Support validation of EPP templates. Thanks to @trlinkin
  * Test improvements and refactoring, including Travis CI tests against Puppet 4. Thanks to @trlinkin
  * Don't error when a tag metaparameter is present. Thank you @dhardy92
  * Report the filename of invalid hiera data files. Thanks @danzilio
- run spec-cleaner
* Tue May 12 2015 tampakrap@opensuse.org
- Version bump 2.0.0
  * Removed support for Puppet version 2.7.x
  * New option, fail_on_deprecation_notices, which defaults to true (compatible
    with previous behaviour); thanks @pcfens
  * PuppetSyntax::Manifests#check now has two return arguments
* Sat Feb  7 2015 tampakrap@opensuse.org
- Initial commit
